API v2.0.0

Mandal variety E-Commerce API

Professional API router + live browser docs + Flutter integration examples.

https://api.mandal-variety.com/
23
Total endpoints

How to use this API

Step 1

Open the docs page and choose any endpoint group.

Step 2

Click an endpoint card to see URL, body, cURL, and Flutter code.

Step 3

Use GET API button to test live browser-accessible endpoints instantly.

Step 4

Use the shown Dio code in Flutter and replace sample values with real data.

System

2 endpoint(s)

Shows browser documentation for all APIs.

https://api.mandal-variety.com/
GET API
Query Parameters
[]
Request Body
No body required
Sample Response
{ "success": true, "status": "PRODUCTION READY" }
cURL Example
curl -X GET "https://api.mandal-variety.com/"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Returns API uptime/basic health information.

https://api.mandal-variety.com/health
GET API
Query Parameters
[]
Request Body
No body required
Sample Response
{ "success": true, "message": "API is running" }
cURL Example
curl -X GET "https://api.mandal-variety.com/health"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/health', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Categories

1 endpoint(s)

Get all active categories.

https://api.mandal-variety.com/categories/list.php
GET API
Query Parameters
[]
Request Body
No body required
Sample Response
{ "success": true, "data": [ { "id": 1, "name": "Category Name" } ] }
cURL Example
curl -X GET "https://api.mandal-variety.com/categories/list.php"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/categories/list.php', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Products

3 endpoint(s)

Get all products.

https://api.mandal-variety.com/products/list
GET API
Query Parameters
[]
Request Body
No body required
Sample Response
{ "success": true, "data": [ { "id": 1, "name": "Product Name", "price": 999 } ] }
cURL Example
curl -X GET "https://api.mandal-variety.com/products/list"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/products/list', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Get one product by id.

https://api.mandal-variety.com/products/detail/1
GET API
Query Parameters
[]
Request Body
No body required
Sample Response
{ "success": true, "data": { "id": 1, "name": "Product Name", "price": 999 } }
cURL Example
curl -X GET "https://api.mandal-variety.com/products/detail/1"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/products/detail/1', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Create or update a product.

https://api.mandal-variety.com/products/manage/1
Query Parameters
[]
Request Body
{ "name": "Demo Product", "price": 999, "stock_quantity": 10 }
Sample Response
{ "success": true, "message": "Product saved successfully" }
cURL Example
curl -X POST|PUT "https://api.mandal-variety.com/products/manage/1"
Flutter Dio Example
final dio = Dio(); final data = { "name": "Demo Product", "price": 999, "stock_quantity": 10 }; try { final response = await dio.post( 'https://api.mandal-variety.com/products/manage/1', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Cart

5 endpoint(s)

Get cart items of a user.

https://api.mandal-variety.com/cart?user_id=1
GET API
Query Parameters
{ "user_id": 1 }
Request Body
No body required
Sample Response
{ "success": true, "data": { "user_id": 1, "items": [] } }
cURL Example
curl -X GET "https://api.mandal-variety.com/cart?user_id=1"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/cart?user_id=1', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Add product to cart.

https://api.mandal-variety.com/cart/add?user_id=1
Query Parameters
{ "user_id": 1 }
Request Body
{ "product_id": 1, "quantity": 2 }
Sample Response
{ "success": true, "message": "Added to cart!" }
cURL Example
curl -X POST "https://api.mandal-variety.com/cart/add?user_id=1" \ -H "Content-Type: application/json" \ -d '{ "product_id": 1, "quantity": 2 }'
Flutter Dio Example
final dio = Dio(); final data = { "product_id": 1, "quantity": 2 }; try { final response = await dio.post( 'https://api.mandal-variety.com/cart/add?user_id=1', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Update cart quantity.

https://api.mandal-variety.com/cart/update?user_id=1
Query Parameters
{ "user_id": 1 }
Request Body
{ "cart_item_id": 1, "quantity": 3 }
Sample Response
{ "success": true, "message": "Cart updated" }
cURL Example
curl -X PUT "https://api.mandal-variety.com/cart/update?user_id=1" \ -H "Content-Type: application/json" \ -d '{ "cart_item_id": 1, "quantity": 3 }'
Flutter Dio Example
final dio = Dio(); final data = { "cart_item_id": 1, "quantity": 3 }; try { final response = await dio.put( 'https://api.mandal-variety.com/cart/update?user_id=1', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Remove one item from cart.

https://api.mandal-variety.com/cart/remove/1?user_id=1
Query Parameters
{ "user_id": 1 }
Request Body
No body required
Sample Response
{ "success": true, "message": "Item removed" }
cURL Example
curl -X DELETE "https://api.mandal-variety.com/cart/remove/1?user_id=1"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.delete( 'https://api.mandal-variety.com/cart/remove/1?user_id=1', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Remove all cart items.

https://api.mandal-variety.com/cart/clear?user_id=1
Query Parameters
{ "user_id": 1 }
Request Body
No body required
Sample Response
{ "success": true, "message": "Cart cleared" }
cURL Example
curl -X DELETE "https://api.mandal-variety.com/cart/clear?user_id=1"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.delete( 'https://api.mandal-variety.com/cart/clear?user_id=1', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Wishlist

3 endpoint(s)

Get wishlist data.

https://api.mandal-variety.com/wishlist?user_id=1
GET API
Query Parameters
{ "user_id": 1 }
Request Body
No body required
Sample Response
{ "success": true, "data": [] }
cURL Example
curl -X GET "https://api.mandal-variety.com/wishlist?user_id=1"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/wishlist?user_id=1', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Add product to wishlist.

https://api.mandal-variety.com/wishlist/add?user_id=1
Query Parameters
{ "user_id": 1 }
Request Body
{ "product_id": 1 }
Sample Response
{ "success": true, "message": "Added to wishlist" }
cURL Example
curl -X POST "https://api.mandal-variety.com/wishlist/add?user_id=1" \ -H "Content-Type: application/json" \ -d '{ "product_id": 1 }'
Flutter Dio Example
final dio = Dio(); final data = { "product_id": 1 }; try { final response = await dio.post( 'https://api.mandal-variety.com/wishlist/add?user_id=1', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Remove product from wishlist.

https://api.mandal-variety.com/wishlist/remove/1?user_id=1
Query Parameters
{ "user_id": 1 }
Request Body
No body required
Sample Response
{ "success": true, "message": "Removed from wishlist" }
cURL Example
curl -X DELETE "https://api.mandal-variety.com/wishlist/remove/1?user_id=1"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.delete( 'https://api.mandal-variety.com/wishlist/remove/1?user_id=1', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Orders

4 endpoint(s)

Get all orders for one user.

https://api.mandal-variety.com/orders?user_id=1
GET API
Query Parameters
{ "user_id": 1 }
Request Body
No body required
Sample Response
{ "success": true, "data": [] }
cURL Example
curl -X GET "https://api.mandal-variety.com/orders?user_id=1"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/orders?user_id=1', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Get one order detail.

https://api.mandal-variety.com/orders/detail/1?user_id=1
GET API
Query Parameters
{ "user_id": 1 }
Request Body
No body required
Sample Response
{ "success": true, "data": { "id": 1 } }
cURL Example
curl -X GET "https://api.mandal-variety.com/orders/detail/1?user_id=1"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/orders/detail/1?user_id=1', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Create order from cart.

https://api.mandal-variety.com/orders/create?user_id=1
Query Parameters
{ "user_id": 1 }
Request Body
{ "address": "Siliguri", "payment_method": "cod" }
Sample Response
{ "success": true, "message": "Order created" }
cURL Example
curl -X POST "https://api.mandal-variety.com/orders/create?user_id=1" \ -H "Content-Type: application/json" \ -d '{ "address": "Siliguri", "payment_method": "cod" }'
Flutter Dio Example
final dio = Dio(); final data = { "address": "Siliguri", "payment_method": "cod" }; try { final response = await dio.post( 'https://api.mandal-variety.com/orders/create?user_id=1', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Cancel pending order.

https://api.mandal-variety.com/orders/cancel/1?user_id=1
Query Parameters
{ "user_id": 1 }
Request Body
No body required
Sample Response
{ "success": true, "message": "Order cancelled" }
cURL Example
curl -X POST "https://api.mandal-variety.com/orders/cancel/1?user_id=1" \ -H "Content-Type: application/json"
Flutter Dio Example
final dio = Dio(); final data = null; try { final response = await dio.post( 'https://api.mandal-variety.com/orders/cancel/1?user_id=1', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Auth

5 endpoint(s)

Register customer account.

https://api.mandal-variety.com/auth/register
Query Parameters
[]
Request Body
{ "name": "Sribash", "email": "Sribash@example.com", "phone": "9876543210", "password": "123456" }
Sample Response
{ "success": true, "message": "OTP sent successfully" }
cURL Example
curl -X POST "https://api.mandal-variety.com/auth/register" \ -H "Content-Type: application/json" \ -d '{ "name": "Sribash", "email": "Sribash@example.com", "phone": "9876543210", "password": "123456" }'
Flutter Dio Example
final dio = Dio(); final data = { "name": "Sribash", "email": "Sribash@example.com", "phone": "9876543210", "password": "123456" }; try { final response = await dio.post( 'https://api.mandal-variety.com/auth/register', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Verify OTP and complete registration.

https://api.mandal-variety.com/auth/verify
Query Parameters
[]
Request Body
{ "otp": "123456" }
Sample Response
{ "success": true, "message": "Registration successful" }
cURL Example
curl -X POST "https://api.mandal-variety.com/auth/verify" \ -H "Content-Type: application/json" \ -d '{ "otp": "123456" }'
Flutter Dio Example
final dio = Dio(); final data = { "otp": "123456" }; try { final response = await dio.post( 'https://api.mandal-variety.com/auth/verify', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Login with email and password.

https://api.mandal-variety.com/auth/login
Query Parameters
[]
Request Body
{ "email": "Sribash@example.com", "password": "123456" }
Sample Response
{ "success": true, "data": { "id": 1, "name": "Sribash" } }
cURL Example
curl -X POST "https://api.mandal-variety.com/auth/login" \ -H "Content-Type: application/json" \ -d '{ "email": "Sribash@example.com", "password": "123456" }'
Flutter Dio Example
final dio = Dio(); final data = { "email": "Sribash@example.com", "password": "123456" }; try { final response = await dio.post( 'https://api.mandal-variety.com/auth/login', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Logout current user.

https://api.mandal-variety.com/auth/logout
Query Parameters
[]
Request Body
No body required
Sample Response
{ "success": true, "message": "Logged out successfully" }
cURL Example
curl -X POST "https://api.mandal-variety.com/auth/logout" \ -H "Content-Type: application/json"
Flutter Dio Example
final dio = Dio(); final data = null; try { final response = await dio.post( 'https://api.mandal-variety.com/auth/logout', data: data, options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI

Get logged in user profile.

https://api.mandal-variety.com/auth/profile
GET API
Query Parameters
[]
Request Body
No body required
Sample Response
{ "success": true, "data": { "id": 1, "name": "Sribash" } }
cURL Example
curl -X GET "https://api.mandal-variety.com/auth/profile"
Flutter Dio Example
final dio = Dio(); try { final response = await dio.get( 'https://api.mandal-variety.com/auth/profile', options: Options(headers: {'Content-Type': 'application/json'}), ); print(response.data); } catch (e) { print(e); }
Flutter Flow
1. Add dio package in pubspec.yaml 2. Set your baseUrl = "https://api.mandal-variety.com/" 3. Create Dio instance in ApiService 4. Call endpoint using GET/POST/PUT/DELETE 5. Parse response.data in model 6. Show success/error message in Flutter UI